%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  strata.MaxCombo
%global packver   0.0.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.0.1
Release:          1%{?dist}%{?buildtag}
Summary:          Stratified Max-Combo Test

License:          GPL-2
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch
BuildRequires:    R-CRAN-mvtnorm 
Requires:         R-CRAN-mvtnorm 

%description
Non-proportional hazard (NPH) is commonly observed in immuno-oncology
studies, where the survival curves of the treatment and control groups
show delayed separation. To properly account for NPH, several statistical
methods have been developed. One such method is Max-Combo test, which is a
straightforward and flexible hypothesis testing method that can
simultaneously test for constant, early, middle, and late treatment
effects. However, the majority of the Max-Combo test performed in clinical
studies are unstratified, ignoring the important prognostic stratification
factors. To fill this gap, we have developed an R package for stratified
Max-Combo testing that accounts for stratified baseline factors. Our
package explores various methods for calculating combined test statistics,
estimating joint distributions, and determining the p-values.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
